<template>
  <h1 class="text--primary">{{greeting()}}</h1>
</template>

<script>
function getGreeting() {
  let hours = new Date().getHours();
  console.debug("[Greeting] hours: " + hours)
  if (hours > 4 && hours < 10)
    return "Good morning!";
  if (hours > 9 && hours < 13)
    return "Hey there!";
  if (hours >  12 && hours < 18)
    return "Good afternoon";
  if (hours > 17 && hours < 22)
    return "Good evening!";
  if (hours > 21 || hours < 5)
    return "Good night!";
  return "Hey there!"
}

export default {
  name: "Greeting",
  data: () => ({
    greeting: getGreeting
  })
}
</script>